Prev |  | Next

# FcMatrixScale

## Name

FcMatrixScale -- Scale a matrix

## Synopsis

    #include <fontconfig.h>

``void FcMatrixScale`(FcMatrix *matrix, double sx, double dy);`

## Description

`FcMatrixScale` multiplies `matrix` x values by `sx` and y values by `sy`. This is done by multiplying by the matrix:

       sx  0
       0   sy

## Version

Fontconfig version 2.4.2

Prev | Home | Next
FcMatrixRotate | Up | FcMatrixShear